#!/usr/bin/env python

import sys
import gettext
import os

sys.path.pop(0)

import foo

gettext.textdomain('foo')
gettext.bindtextdomain('foo', foo._GNU_LOCALEDIR)

if len(sys.argv) == 1:
    print gettext.gettext("Hello, world!")
    print gettext.gettext("Hello, `cruel-a' world!")
    print gettext.gettext("Hello, 'cruel-c' world!")
    print gettext.gettext("Hello, cruel-d world!")
    print gettext.gettext("This `program' is running as process number %(pid)d.") \
          % { 'pid': os.getpid() }
    sys.exit()

# TODO: Need the in clause for help2man to work. Another way to do it?
if sys.argv[1] in ("--help", gettext.gettext("--help")):
    print gettext.gettext("""Usage: foo [OPTIONS]

Teh foo program rocks your socks right off.

  -v, --version  print the version and exit
  -h, --help     print this help message and exit

Report bugs to <foo@exmaple.com>.
    """)
    sys.exit()

# TODO: Need the in clause for help2man to work. Another way to do it?
if sys.argv[1] in ("--version", gettext.gettext("--version")):
    print gettext.gettext("foo - GNU Foo 0.0.0d")
    sys.exit()

# TODO: Provide comments to translators about special characters
